/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#ifndef JANA_NOTE_H
#define JANA_NOTE_H

#include <glib-object.h>

#define JANA_TYPE_NOTE		(jana_note_get_type ())
#define JANA_NOTE(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj),\
				 JANA_TYPE_NOTE, JanaNote))
#define JANA_IS_NOTE(obj)	(G_TYPE_CHECK_INSTANCE_TYPE ((obj),\
				 JANA_TYPE_NOTE))
#define JANA_NOTE_GET_INTERFACE(inst)	(G_TYPE_INSTANCE_GET_INTERFACE ((inst),\
					 JANA_TYPE_NOTE, JanaNoteInterface))

typedef struct _JanaNote JanaNote; /* Dummy object */
typedef struct _JanaNoteInterface JanaNoteInterface;

struct _JanaNoteInterface {
	GTypeInterface parent;
};

GType jana_note_get_type (void);

#endif /* JANA_NOTE_H */

